Kerbal Space Program - Bug #2810

Crew Hatch broken
07/20/2014 12:22 AM - aureus

Status: Closed Start date: 07/20/2014
Severity: Normal % Done: 100%
Assignee:
Description

Left clicking on a crew hatch no longer brings up the menu to EVA Kerbals in the module. As a result, Kerbals in a Mobile
Processing Lab cannot be removed from the lab without modifying the save file or landing and recovering the part.

History

#1 - 07/21/2014 10:47 AM - Master_Tao

Reproduced in stock KSP 0.24 on Mac OS 10.9.4. Nothing of note appears in the debug logs. Possibly related to Bug #2804 as both involve
secondary functions of left clicks.

Discussed by forum users here and here.

Edit: Multiple workarounds posted here.

#2 - 07/23/2014 08:19 PM - aureus

Something interesting | noticed today: If you click on the crew hatch while it is behind the "keep data" button of the review data dialog, it will bring up
the contextual menu to EVA crew members.

#3 - 09/01/2014 10:02 PM - Liquid
- Status changed from New to Confirmed

- % Done changed from 0 to 10

Confirmed, will try to prioritise this to get it fixed in 0.25.

#4 - 10/10/2014 04:59 PM - Master_Tao

Confirming this issue was fixed in KSP 0.25, but | do not have permissions to update the status.

#5 - 10/12/2014 08:51 AM - RexKramer
- Status changed from Confirmed to Resolved

- % Done changed from 10 to 100

| agree, this is resolved now.

#6 - 07/17/2016 09:18 AM - TriggerAu

- Status changed from Resolved to Closed
